libsigc++ 2.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

bind_functor< I_location, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > Struct Template Reference
bind(), bind_return()

Adaptor that binds an argument to the wrapped functor. More...

`#include <sigc++/adaptors/bind.h>`

## Detailed Description

### template<int I_location, class T_functor, class T_type1 = nil, class T_type2 = nil, class T_type3 = nil, class T_type4 = nil, class T_type5 = nil, class T_type6 = nil, class T_type7 = nil>
struct bind_functor< I_location, T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >

Adaptor that binds an argument to the wrapped functor.

Use the convenience function sigc::bind() to create an instance of sigc::bind_functor.

The following template arguments are used:

- I_location Zero-based position of the argument to fix (`-1` for the last argument).

- T_type1 Type of the 1st bound argument.
- T_type2 Type of the 2st bound argument.
- T_type3 Type of the 3st bound argument.
- T_type4 Type of the 4st bound argument.
- T_type5 Type of the 5st bound argument.
- T_type6 Type of the 6st bound argument.
- T_type7 Type of the 7st bound argument.
- T_functor Type of the functor to wrap.